package com.hncy.datatrans.server.pzhdata.controller;

import com.hncy.datatrans.server.pzhdata.service.RoadLineService;
import com.hncy.datatrans.server.pzhdata.utils.CommonResult;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.multipart.MultipartFile;

/**
 * @author Ivan
 * @Title: RoadLineController
 * @date 2020/8/2814:33
 */
@RestController
@RequestMapping("/roalLine")
public class RoadLineController {

    @Autowired
    RoadLineService roadLineService;

    @PostMapping("addDanger")
    @ApiOperation(value = "添加线路安全隐患")
    public CommonResult addSubject(MultipartFile file) {
        //上传过来excel文件
        roadLineService.addDanger(file);
        return CommonResult.success();
    }
}
