package com.hncy.datatrans.server.pzhdata.service;

import com.hncy.datatrans.server.pzhdata.entity.OrgNonPublic;

import java.util.List;

/**
 * @Author Ivan
 * @Description 企业基本信息service
 * @Date 2020/7/27 15:58
 */
public interface EnterpriseBaseInfoService {

    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的企业信息
     * @Date 2020/7/27 16:01
     * @Param
     * @return
     */
    List<OrgNonPublic> getNewEnterpriseInfoByLatestDate(String dateStr);

    /**
     * 修改批准日期
     */
    void updateApproveDate();
}
