package com.hncy.datatrans.server.pzhdata.service.impl;

import com.hncy.datatrans.server.pzhdata.entity.HomeStay;
import com.hncy.datatrans.server.pzhdata.mapper.HomeStayMapper;
import com.hncy.datatrans.server.pzhdata.service.HomeStayService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author Ivan
 * @Description 养老机构及公寓service实现类
 * @Date 2020/8/18 19:34
 */
@Service
public class HomeStayServiceImpl implements HomeStayService {

    @Autowired
    HomeStayMapper homeStayMapper;

    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的养老机构及公寓信息
     * @Date 2020/8/18 19:58
     * @Param
     * @return
     */
    @Override
    public List<HomeStay> getNewHomeStayInfoByLatestDate(String dateStr) {
        return homeStayMapper.getNewHomeStayInfoByLatestDate(dateStr);
    }
}
