package com.hncy.datatrans.server.pzhdata.service.impl;

import com.hncy.datatrans.server.pzhdata.entity.PublicSecurityLogistics;
import com.hncy.datatrans.server.pzhdata.mapper.PublicSecurityLogisticsMapper;
import com.hncy.datatrans.server.pzhdata.service.PublicSecurityLogisticsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author Ivan
 * @Description 邮政的寄递物流信息service实现类
 * @Date 2020/8/19 11:13
 */
@Service
public class PublicSecurityLogisticsServiceImpl implements PublicSecurityLogisticsService {

    @Autowired
    PublicSecurityLogisticsMapper publicSecurityLogisticsMapper;

    /**
     * @Author Ivan
     * @Description 根据本地最新更新时间拉取中间库的邮政的寄递物流信息信息
     * @Date 2020/8/19 11:19
     * @Param
     * @return
     */
    @Override
    public List<PublicSecurityLogistics> getNewPublicSecurityLogisticsByLatestDate(String dateStr) {
        return publicSecurityLogisticsMapper.getNewPublicSecurityLogisticsByLatestDate(dateStr);
    }
}
