package com.hncy.datatrans.server.pzhdata;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.netflix.eureka.EnableEurekaClient;
import tk.mybatis.spring.annotation.MapperScan;

/**
 * @Author Ivan
 * @Description 启动类
 * @Date 2020/7/27 16:49
 * @Param 
 * @return 
 */
@SpringBootApplication
@EnableEurekaClient
@MapperScan("com.hncy.datatrans.server.pzhdata.mapper")
public class PzhdataApplication {

    public static void main(String[] args) {
        SpringApplication.run(PzhdataApplication.class, args);
    }

}
