package com.hncy.datatrans.server.pzhdata.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Ivan
 * @Title: RoadLineData
 * @date 2020/8/2814:27
 */
@Data
public class RoadLineData {

    @ApiModelProperty(value = "序号")
    @ExcelProperty(index = 0)
    private String no;

    @ApiModelProperty(value = "所在市")
    @ExcelProperty(index = 1)
    private String city;

    @ApiModelProperty(value = "详细地址")
    @ExcelProperty(index = 2)
    private String address;

    @ApiModelProperty(value = "站段")
    @ExcelProperty(index = 3)
    private String subordinateUnitName;

    @ApiModelProperty(value = "问题分类")
    @ExcelProperty(index = 4)
    private String questionType;

    @ApiModelProperty(value = "铁路里程")
    @ExcelProperty(index = 5)
    private String railLength;

    @ApiModelProperty(value = "具体的隐患描述")
    @ExcelProperty(index = 6)
    private String dangerSecuritySituation;

}
