package com.hncy.datatrans.server.pzhdata.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Author Ivan
 * @Description 学校excel数据项
 * @Date 2020/9/18 10:55
 */
@Data
public class SchoolExcelData {

    @ApiModelProperty(value = "学校名称")
    @ExcelProperty(index = 0)
    private String schoolName;

    @ApiModelProperty(value = "办学类型")
    @ExcelProperty(index = 1)
    private String schoolTypeName;

    @ApiModelProperty(value = "合计人数")
    @ExcelProperty(index = 2)
    private String studentNumber;

    @ApiModelProperty(value = "主管单位名称")
    @ExcelProperty(index = 3)
    private String eduDepartmentName;

    @ApiModelProperty(value = "县级")
    @ExcelProperty(index = 4)
    private String county;

    @ApiModelProperty(value = "乡级")
    @ExcelProperty(index = 5)
    private String area;

    @ApiModelProperty(value = "村级")
    @ExcelProperty(index = 6)
    private String village;

    @ApiModelProperty(value = "行政负责人姓名")
    @ExcelProperty(index = 7)
    private String principalName;

    @ApiModelProperty(value = "行政负责人职务")
    @ExcelProperty(index = 8)
    private String zhiWu;

    @ApiModelProperty(value = "电话区号")
    @ExcelProperty(index = 9)
    private String quHao;

    @ApiModelProperty(value = "办公电话")
    @ExcelProperty(index = 10)
    private String principalPhone;

    @ApiModelProperty(value = "机构地址")
    @ExcelProperty(index = 11)
    private String schoolAddress;
}
