package com.hncy.datatrans.server.pzhdata.mapper;

import com.hncy.datatrans.server.pzhdata.entity.OrgShorg;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author Ivan
 * @Description 社会组织信息mapper
 * @Date 2020/8/19 15:45
 */
public interface OrgShorgMapper {

    //根据本地最新更新时间拉取中间库的民办非企业单位信息
    List<OrgShorg> getNewNonEnterpriseByLatestDate(@Param("dateStr") String dateStr);

    //根据本地最新更新时间拉取中间库的市民政局_社会团体信息2001年至2018年
    List<OrgShorg> getNewSocialGroupsByLatestDate(@Param("dateStr") String dateStr);
}
