package com.hncy.datatrans.server.pzhdata.service.impl;

import com.alibaba.excel.EasyExcel;
import com.hncy.datatrans.server.pzhdata.entity.RoadLine;
import com.hncy.datatrans.server.pzhdata.excel.RoadLineData;
import com.hncy.datatrans.server.pzhdata.excel.RoadLineExcelListener;
import com.hncy.datatrans.server.pzhdata.mapper.RoadLineMapper;
import com.hncy.datatrans.server.pzhdata.service.RoadLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.multipart.MultipartFile;

import java.io.InputStream;

/**
 * @author Ivan
 * @Title: RoadLineServiceImpl
 * @date 2020/8/2814:37
 */
@Service
public class RoadLineServiceImpl implements RoadLineService {

    @Autowired
    RoadLineMapper roadLineMapper;

    /**
     * 添加线路安全隐患
     * @param file
     */
    @Override
    public void addDanger(MultipartFile file) {
        try {
            //文件输入流
            InputStream in = file.getInputStream();
            //调用方法进行读取
            EasyExcel.read(in, RoadLineData.class,new RoadLineExcelListener(roadLineMapper)).sheet().doRead();
        }catch(Exception e){
            e.printStackTrace();
        }
    }
}
